<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.10) on Sun Feb 21 22:03:03 CET 2021 -->
<title>MiddleSchool</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-02-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MiddleSchool";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">school</a></div>
<h2 title="Class MiddleSchool" class="title">Class MiddleSchool</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>school.MiddleSchool</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">MiddleSchool</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">MiddleSchool</a></span>()</code></th>
<td class="colLast">
<div class="block">Creates a new middleSchool with the associated grades</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generateJson()">generateJson</a></span>()</code></th>
<td class="colLast">
<div class="block">Generates the Json of the school located in /res/</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="Grade.html" title="class in school">Grade</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGradeFromLvlAndId(int,char)">getGradeFromLvlAndId</a></span>&#8203;(int&nbsp;level,
                    char&nbsp;id)</code></th>
<td class="colLast">
<div class="block">returns the <a href="Grade.html" title="class in school"><code>Grade</code></a> with the corresponding level and id
 if no <a href="Grade.html" title="class in school"><code>Grade</code></a> matches the request, a new one will be created</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="Grade.html" title="class in school">Grade</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGrades()">getGrades</a></span>()</code></th>
<td class="colLast">
<div class="block">returns the list of the grades in the school</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="Grade.html" title="class in school">Grade</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGradesOfLevel(int)">getGradesOfLevel</a></span>&#8203;(int&nbsp;gradeLevel)</code></th>
<td class="colLast">
<div class="block">Returns the marks in all the subjects of an entire level</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.Float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSpecificAvgFromSubjectAndLevel(school.Subject,int,int)">getSpecificAvgFromSubjectAndLevel</a></span>&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                                 int&nbsp;testIndex,
                                 int&nbsp;gradeLevel)</code></th>
<td class="colLast">
<div class="block">Returns the average mark from a specified test in a specified subject on a specified level</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.Float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSpecificMaxFromSubjectAndLevel(school.Subject,int,int)">getSpecificMaxFromSubjectAndLevel</a></span>&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                                 int&nbsp;testIndex,
                                 int&nbsp;gradeLevel)</code></th>
<td class="colLast">
<div class="block">Returns the maximum mark from a specified test in a specified subject on a specified level</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.Float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSpecificMedianFromSubjectAndLevel(school.Subject,int,int)">getSpecificMedianFromSubjectAndLevel</a></span>&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                                    int&nbsp;testIndex,
                                    int&nbsp;gradeLevel)</code></th>
<td class="colLast">
<div class="block">Returns the median mark from a specified test in a specified subject on a specified level</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.Float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSpecificMinFromSubjectAndLevel(school.Subject,int,int)">getSpecificMinFromSubjectAndLevel</a></span>&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                                 int&nbsp;testIndex,
                                 int&nbsp;gradeLevel)</code></th>
<td class="colLast">
<div class="block">Returns the minimum mark from a specified test in a specified subject on a specified level</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parseTxt(java.lang.String)">parseTxt</a></span>&#8203;(java.lang.String&nbsp;filename)</code></th>
<td class="colLast">
<div class="block">Parses a ".txt".</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MiddleSchool</h4>
<pre>public&nbsp;MiddleSchool()</pre>
<div class="block">Creates a new middleSchool with the associated grades</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getGrades()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGrades</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="Grade.html" title="class in school">Grade</a>&gt;&nbsp;getGrades()</pre>
<div class="block">returns the list of the grades in the school</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A list containing the grades <code>List</code>(<a href="Grade.html" title="class in school"><code>Grade</code></a>)</dd>
</dl>
</li>
</ul>
<a id="generateJson()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateJson</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;generateJson()</pre>
<div class="block">Generates the Json of the school located in /res/</div>
</li>
</ul>
<a id="getGradesOfLevel(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGradesOfLevel</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="Grade.html" title="class in school">Grade</a>&gt;&nbsp;getGradesOfLevel&#8203;(int&nbsp;gradeLevel)</pre>
<div class="block">Returns the marks in all the subjects of an entire level</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gradeLevel</code> - <code>Integer</code> The <a href="Grade.html" title="class in school"><code>Grade</code></a> level</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>List</code>(<a href="Grade.html" title="class in school"><code>Grade</code></a>) A list of grades</dd>
</dl>
</li>
</ul>
<a id="getSpecificMinFromSubjectAndLevel(school.Subject,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpecificMinFromSubjectAndLevel</h4>
<pre class="methodSignature">public&nbsp;java.lang.Float&nbsp;getSpecificMinFromSubjectAndLevel&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                                                         int&nbsp;testIndex,
                                                         int&nbsp;gradeLevel)</pre>
<div class="block">Returns the minimum mark from a specified test in a specified subject on a specified level</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subject</code> - <a href="Subject.html" title="enum in school"><code>Subject</code></a></dd>
<dd><code>testIndex</code> - <code>Integer</code></dd>
<dd><code>gradeLevel</code> - <code>Integer</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The minimum <code>Float</code></dd>
</dl>
</li>
</ul>
<a id="getSpecificMaxFromSubjectAndLevel(school.Subject,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpecificMaxFromSubjectAndLevel</h4>
<pre class="methodSignature">public&nbsp;java.lang.Float&nbsp;getSpecificMaxFromSubjectAndLevel&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                                                         int&nbsp;testIndex,
                                                         int&nbsp;gradeLevel)</pre>
<div class="block">Returns the maximum mark from a specified test in a specified subject on a specified level</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subject</code> - <a href="Subject.html" title="enum in school"><code>Subject</code></a></dd>
<dd><code>testIndex</code> - <code>Integer</code></dd>
<dd><code>gradeLevel</code> - <code>Integer</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Float</code> the maximum</dd>
</dl>
</li>
</ul>
<a id="getSpecificAvgFromSubjectAndLevel(school.Subject,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpecificAvgFromSubjectAndLevel</h4>
<pre class="methodSignature">public&nbsp;java.lang.Float&nbsp;getSpecificAvgFromSubjectAndLevel&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                                                         int&nbsp;testIndex,
                                                         int&nbsp;gradeLevel)</pre>
<div class="block">Returns the average mark from a specified test in a specified subject on a specified level</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subject</code> - <a href="Subject.html" title="enum in school"><code>Subject</code></a></dd>
<dd><code>testIndex</code> - <code>Integer</code></dd>
<dd><code>gradeLevel</code> - <code>Integer</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Float</code> the average mark</dd>
</dl>
</li>
</ul>
<a id="getSpecificMedianFromSubjectAndLevel(school.Subject,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpecificMedianFromSubjectAndLevel</h4>
<pre class="methodSignature">public&nbsp;java.lang.Float&nbsp;getSpecificMedianFromSubjectAndLevel&#8203;(<a href="Subject.html" title="enum in school">Subject</a>&nbsp;subject,
                                                            int&nbsp;testIndex,
                                                            int&nbsp;gradeLevel)</pre>
<div class="block">Returns the median mark from a specified test in a specified subject on a specified level</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subject</code> - <a href="Subject.html" title="enum in school"><code>Subject</code></a></dd>
<dd><code>testIndex</code> - <code>Integer</code></dd>
<dd><code>gradeLevel</code> - <code>Integer</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Float</code> the median mark</dd>
</dl>
</li>
</ul>
<a id="getGradeFromLvlAndId(int,char)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGradeFromLvlAndId</h4>
<pre class="methodSignature">public&nbsp;<a href="Grade.html" title="class in school">Grade</a>&nbsp;getGradeFromLvlAndId&#8203;(int&nbsp;level,
                                  char&nbsp;id)</pre>
<div class="block">returns the <a href="Grade.html" title="class in school"><code>Grade</code></a> with the corresponding level and id
 if no <a href="Grade.html" title="class in school"><code>Grade</code></a> matches the request, a new one will be created</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>level</code> - <code>Integer</code></dd>
<dd><code>id</code> - <code>Character</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>grade <a href="Grade.html" title="class in school"><code>Grade</code></a></dd>
</dl>
</li>
</ul>
<a id="parseTxt(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>parseTxt</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;parseTxt&#8203;(java.lang.String&nbsp;filename)</pre>
<div class="block">Parses a ".txt".
 If the class does not exist: nothing will be added,
 If the subject isn't written as in <a href="Subject.html" title="enum in school"><code>Subject</code></a>:
 the parser will return an error,
 If the <a href="Student.html" title="class in school"><code>Student</code></a> doesn't exist: a new one will be created
 with the data specified in the parsed file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filename</code> - <code>String</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
